/*****************************************************************************

File: PlanetReader.h
Desc: A class for reading planetary geometry
		
Date: 2005/01/01

Author: Wim Lemkens

*****************************************************************************/

#ifndef PLANETREADER_H
#define PLANETREADER_H

#include "GeometryReader.h"

namespace Ogre {

class PlanetReader : public GeometryReader{
public:

	PlanetReader();
	virtual ~PlanetReader();

	/**
	 * Returns the amount the height is to be scaled
	 */
	Real getHeightScale() const{
		return mHeightScale;
	}
	/**
	 * Returns the minimum height of the world
	 */
	Real getHeightOffset() const{
		return mHeightOffset;
	}

protected:
	/**
	 * The amount the height is to be scaled
	 */
	Real mHeightScale;
	 
	/**
	 * The minimum diameter of the planet
	 */
	Real mHeightOffset;

};

} //namespace Ogre

#endif // PLANETREADER_H
